/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    MOLÉCULE : Widgets header
    Style des widgets de l'en-tête
*/



.molecule_widgets-header {
    display: flex;
    align-items: center;
}

    @media (min-width: 992px) {
        .molecule_widgets-header {
            margin-left: 0;
        }
    }

/* Widgets frères */
.molecule_widgets-header .widget_block{
    margin-left: 5px;
}

/* Mon compte + Mon panier (surcharge de Woocommerce) */
.wc-block-mini-cart {
    visibility: visible !important;
}

.wc-block-mini-cart__badge:empty::before {
    content: "0";
}

.wc-block-mini-cart__button,
.wp-block-woocommerce-customer-account {
    cursor: pointer;
    padding: 0;
}

.wc-block-mini-cart__quantity-badge,
.wp-block-woocommerce-customer-account a {
    display: flex;
    align-items: center;
    text-align: center;
}

    /* Icon */
    .molecule_widgets-header .wc-block-mini-cart__button,
    .molecule_widgets-header .wp-block-woocommerce-customer-account a {
        padding: .5em;
    }
    .wc-block-mini-cart__quantity-badge::before,
    .wp-block-woocommerce-customer-account a::before {
        color: var(--black);
        font-size: 2.2rem;
        font-family: 'icomoon';
        line-height: 1;
    }

        @media (max-width: 991px) {
            .wc-block-mini-cart__quantity-badge::before,
            .wp-block-woocommerce-customer-account a::before {
                font-size: 1.6rem;
            }
        }

    /* Icon par défaut */
    .wc-block-mini-cart__quantity-badge svg,
    .wp-block-woocommerce-customer-account a svg {
        display: none;
    }

/* Label */
.wc-block-mini-cart__badge,
.wp-block-woocommerce-customer-account a .label {
    position: initial;
    display: none;
    color: var(--gray-600);
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1;
    margin: 0;
    padding: 0;
    height: auto;
    transform: none;
}

.wc-block-mini-cart__badge {
    background-color: var(--c-primary);
    color: var(--white);
    font-size: 1rem;
    line-height: 1.2rem;
    margin: 0;
    transform: none;
    display: block;
    width: 14px;
    height: 14px;
    padding: 0;
    position: absolute;
    left: 7px;
    bottom: -7px;
    min-width: inherit;
}

.wc-block-mini-cart__badge::before,
.wc-block-mini-cart__badge::after {
    display: none;
}

    @media (max-width: 991px) {
        .wp-block-woocommerce-customer-account a .label {
            display: none;
        }
    }

    /* Hover */
    .wp-block-woocommerce-customer-account a:hover .label {
        color: var(--c-quinary);
        text-decoration: underline;
    }
/* Hover */
.wp-block-woocommerce-customer-account a:hover {
    text-decoration: none !important;
}

/* Icon */
.wp-block-woocommerce-customer-account a::before {
    content: "\e911";
}


/* Mon panier (surcharge de Woocommerce) */

/* Hover */
.wc-block-mini-cart__button:hover:not([disabled]) {
    opacity: 1;
}

    @media (max-width: 991px) {
        .wc-block-mini-cart__quantity-badge {
            margin-right: 15px;
        }
    }

/* Icon */
.wc-block-mini-cart__quantity-badge::before {
    content: "\e90d";
}

/* Label */
@media (max-width: 991px) {
    .wc-block-mini-cart__badge {
        position: absolute;
        top: inherit;
        left: inherit;
        font-size: 1.1rem;
        transform: inherit;
        bottom: -8px;
        right: -8px;
    }
}

    /* Vide */
    .wc-block-mini-cart__badge:empty {
        opacity: 0;
    }

    @media (max-width: 991px) {
        .wc-block-mini-cart__badge::before,
        .wc-block-mini-cart__badge::after {
            color: var(--black);
        }
    }

.molecule_widget-search #search-toggler {
    background: none;
    border: none;
    outline: none;
    padding: .5em;
    cursor: pointer;
}

/* Propriétés communes aux icons */
.wc-block-mini-cart__quantity-badge::before, .wp-block-woocommerce-customer-account a::before, .molecule_widget-search #search-toggler i {
    font-size: 2rem
}
.wc-block-mini-cart__quantity-badge:hover::before, .wp-block-woocommerce-customer-account a:hover::before, .molecule_widget-search #search-toggler:hover i {
    color: var(--c-primary);
}

@media (max-width: 991px) {
    .molecule_widgets-header .widget_block {
        margin: 0;
    }
    .molecule_widgets-header .wc-block-mini-cart__button, .molecule_widgets-header .wp-block-woocommerce-customer-account a {
        padding: 0;
    }
}